Bug 1121588

Summary: mouse pointer flickering on first 2 monitors in 2 gpu and 3+ monitor setup
Product: [Fedora] Fedora Reporter: Roman <roman.harmata>
Component: xorg-x11Assignee: X/OpenGL Maintenance List <xgl-maint>
Status: CLOSED EOL QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: bgohar
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 21:40:33 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Roman 2014-07-21 09:49:42 UTC
Description of problem:
Mouse cursor flickering in 3+ multi monitor setup on various fields, buttons, tabs in various applications (dolphin, chrome).
Flickering occurs:
- when mouse cursor moves over various text fields, tabs, buttons
- when text cursor blinks in text fields
- when there are some animations going on (it flickers really ugly, often hard to say, where pointer is)

Version-Release number of selected component (if applicable):
if it helps:
cat /etc/redhat-release 
Fedora release 20 (Heisenbug)

rpm -qa|grep xorg
xorg-x11-drv-qxl-0.1.1-3.fc20.x86_64
xorg-x11-drv-vmware-13.0.2-4.20140613git82c9b0c.fc20.x86_64
xorg-x11-drv-vmmouse-13.0.0-6.fc20.x86_64
xorg-x11-server-Xorg-1.14.4-11.fc20.x86_64
xorg-x11-xauth-1.0.9-1.fc20.x86_64
xorg-x11-font-utils-7.5-18.fc20.x86_64
xorg-x11-server-utils-7.7-6.fc20.x86_64
xorg-x11-server-common-1.14.4-11.fc20.x86_64
xorg-x11-xinit-1.3.2-9.fc20.x86_64
xorg-x11-drv-modesetting-0.8.0-2.fc20.x86_64
xorg-x11-drv-fbdev-0.4.3-10.fc20.x86_64
xorg-x11-server-Xephyr-1.14.4-11.fc20.x86_64
xorg-x11-xkb-utils-7.7-8.fc20.x86_64
xorg-x11-drv-wacom-0.23.0-5.fc20.x86_64
xorg-x11-drv-nouveau-1.0.9-2.fc20.x86_64
xorg-x11-utils-7.5-12.fc20.x86_64
xorg-x11-fonts-Type1-7.5-9.fc20.noarch
xorg-x11-glamor-0.5.1-3.20140115gitfb4d046c.fc20.x86_64
xorg-x11-drv-openchrome-0.3.3-2.fc20.x86_64
xorg-x11-drv-mga-1.6.2-8.fc20.x86_64
xorg-x11-fonts-misc-7.5-9.fc20.noarch
xorg-x11-drv-intel-2.21.15-7.fc20.x86_64
xorg-x11-drv-ati-7.2.0-3.20131101git3b38701.fc20.x86_64
xorg-x11-drv-vesa-2.3.2-10.fc20.x86_64
xorg-x11-drv-evdev-2.8.4-1.fc20.x86_64
xorg-x11-drv-synaptics-1.7.6-2.fc20.x86_64

How reproducible:
way 1:
Open this bugzilla tracker in Google Chrome, file a new bug, move to Description field. Click there to write something, move mouse pointer anywhere on first 2 monitors, mouse pointer will flicker exactly following blinking text cursor. If you move mouse pointer on 3rd monitor, it will NOT flicker. Same thing happens if you move text cursor in that text field using arrows > mouse pointer will flicker on first 2 monitors according to frequency you move text cursor. But again it will NOT flicker on 3rd screen.

way 2:
Lets open Chrome window on monitor 1 or 2. Move mouse pointer over tabs, it will flicker there. Move Chrome window on monitor 3. Mouse pointer does NOT flicker when it moves over tabs.
When any tabs has loading animation, mouse pointer is flickering when placed over tabs. Again it does NOT flicker on 3rd monitor.

way 3:
Lets open Dolphin window on monitor 1 or 2. Open some folders as tree. Move mouse pointer over shown folders and files, mouse pointer will slightly flicker there. This happens only on monitor 1 or 2. Mouse pointer flickering does NOT occur on monitor 3.

Actual results:
Mouse pointer flickering on monitors 1 or 2. Working fine on monitor 3.

Expected results:
Mouse pointer working fine on all 3 monitors as it was working OK before July 18-21.

Additional info:

yum update history
    50 | update -y                | 2014-07-21 09:22 | E, I, U        |   50 EE
    49 | update -y                | 2014-07-18 16:09 | E, I, U        |   35 EE
    48 | update -y                | 2014-07-14 16:37 | I, U           |   22

After update 48 it still worked like charm.
I did not have chance to work after 49, but after 50 I am working on this computer and it flickers really badly.

GPU information (but as I have noticed, it is not vendor/model related):
lspci |grep VGA
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RV620 PRO [Radeon HD 3470]
02:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RV620 PRO [Radeon HD 3470]

xrandr |grep DisplayPort
DisplayPort-2 connected primary 1680x1050+0+0 (normal left inverted right x axis y axis) 473mm x 296mm
DisplayPort-3 connected 1680x1050+1680+0 (normal left inverted right x axis y axis) 473mm x 296mm
DisplayPort-1-0 connected 1280x1024+3360+0 (normal left inverted right x axis y axis) 376mm x 301mm
DisplayPort-1-1 disconnected (normal left inverted right x axis y axis)

Comment 1 Roman 2014-07-21 09:59:27 UTC
Disconnecting or disabling 3rd monitor is kind of *weird* workaround to suppress mouse pointer flickering on monitors 1 & 2, but at least it helps to avoid eyes getting tired...

Comment 2 Roman 2014-08-11 06:50:38 UTC
Another 2 workarounds found:

#1 - still flickering, but it is far better, than default settings ;-)

In KDE go to System Settings > Desktop Effects > Advanced
When using compositing type OpenGL change Tearing Prevention (VSync) to "Full scene repaints" and Apply.


#2 - *recommended* as it does not flicker totally :)

In KDE go to System Settings > Desktop Effects > Advanced
Change Compositing type from to "XRender" and Apply.

I still do not know consequences of these settings as I did not face any troubles since that setting. Anyway I will definitely write here when I will face any consequences.

Comment 3 Basil Mohamed Gohar 2014-09-22 16:38:48 UTC
I am experiencing the exact same behavior in Gnome on Fedora 20, so this issue is not KDE specific.  I am not sure what, if any, workarounds exist for Gnome, since the above are for KDE, apparently.

Comment 4 Fedora End Of Life 2015-05-29 12:25:43 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-29 21:40:33 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.